# Generated by Django 3.2.2 on 2021-05-28 13:04

from django.db import migrations, models

def update_settings(apps, scheme_editor):

    CompanyModel = apps.get_model('operators', 'CompanyModel')
    CommunicationsSettingsModel = apps.get_model('operators', 'CommunicationsSettingsModel')
    OperatorModel = apps.get_model('operators', 'OperatorModel')

    multifiber = CompanyModel.objects.get(pk=1)

    settings = CommunicationsSettingsModel.objects.get(company=multifiber)
    settings.extra_data={"whatsapp_channel": [{"channel": "618703f211ed4698b74897c106a7326c", "operator": 2}], "namespace": "d732392d_4463_419b_8663_9736df56b8cc"}
    settings.save()

def remove_settings(apps, scheme_editor):

    CompanyModel = apps.get_model('operators', 'CompanyModel')
    CommunicationsSettingsModel = apps.get_model('operators', 'CommunicationsSettingsModel')

    multifiber = CompanyModel.objects.get(pk=1)

    settings = CommunicationsSettingsModel.objects.get(company=multifiber)
    settings.update(extra_data={"whatsapp_channel": "618703f211ed4698b74897c106a7326c", "namespace": "d732392d_4463_419b_8663_9736df56b8cc"})

class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0009_create_communication_settings'),
    ]

    operations = [
        migrations.RunPython(update_settings, remove_settings)
    ]
